"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var core_1 = require("@blueprintjs/core");
var utils_1 = require("react-jsonschema-form/lib/utils");
// Copypaste from react-jsonschema-form/src/components/fields/ObjectField.js
var canExpand = function (_a) {
    var formData = _a.formData, schema = _a.schema, uiSchema = _a.uiSchema;
    if (!schema.additionalProperties) {
        return false;
    }
    var expandable = utils_1.getUiOptions(uiSchema).expandable;
    if (expandable === false) {
        return expandable;
    }
    // if ui:options.expandable was not explicitly set to false, we can add
    // another property if we have not exceeded maxProperties yet
    if (schema.maxProperties !== undefined) {
        return Object.keys(formData).length < schema.maxProperties;
    }
    return true;
};
exports.ObjectFieldTemplate = function (props) {
    var _a = props, TitleField = _a.TitleField, DescriptionField = _a.DescriptionField, onAddClick = _a.onAddClick, disabled = _a.disabled, readonly = _a.readonly;
    return (React.createElement("fieldset", { id: props.idSchema.$id },
        (props.uiSchema["ui:title"] || props.title) && (React.createElement(TitleField, { id: props.idSchema.$id + "__title", title: props.title || props.uiSchema["ui:title"], required: props.required, formContext: props.formContext })),
        props.description && (React.createElement(DescriptionField, { id: props.idSchema.$id + "__description", description: props.description, formContext: props.formContext })),
        props.properties.map(function (prop) { return prop.content; }),
        canExpand(props) && (React.createElement("div", { className: 'rjsf-bp3-object-property-expand' },
            React.createElement(core_1.Button, { icon: 'plus', intent: 'primary', onClick: onAddClick(props.schema), disabled: disabled || readonly })))));
};
//# sourceMappingURL=ObjectFieldTemplate.js.map