"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var core_1 = require("@blueprintjs/core");
var MultiSchemaField_1 = tslib_1.__importDefault(require("react-jsonschema-form/lib/components/fields/MultiSchemaField"));
var MultiSchemaField = /** @class */ (function (_super) {
    tslib_1.__extends(MultiSchemaField, _super);
    function MultiSchemaField() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    MultiSchemaField.prototype.render = function () {
        var _a = this.props, baseType = _a.baseType, disabled = _a.disabled, errorSchema = _a.errorSchema, formData = _a.formData, idPrefix = _a.idPrefix, idSchema = _a.idSchema, onBlur = _a.onBlur, onChange = _a.onChange, onFocus = _a.onFocus, options = _a.options, registry = _a.registry, safeRenderCompletion = _a.safeRenderCompletion, uiSchema = _a.uiSchema;
        var _SchemaField = registry.fields.SchemaField;
        var selectedOption = this.state.selectedOption;
        var option = options[selectedOption] || null;
        var optionSchema;
        if (option) {
            // If the subschema doesn't declare a type, infer the type from the
            // parent schema
            optionSchema = option.type
                ? option
                : Object.assign({}, option, { type: baseType });
        }
        return (React.createElement("div", { className: "panel panel-default panel-body" },
            React.createElement(core_1.FormGroup, null,
                React.createElement(core_1.HTMLSelect, { fill: true, onChange: this.onOptionChange, value: selectedOption, id: idSchema.$id + "_anyof_select" }, options.map(function (option, index) {
                    return (React.createElement("option", { key: index, value: index }, option.title || "Option " + (index + 1)));
                }))),
            option !== null && (React.createElement(_SchemaField, { schema: optionSchema, uiSchema: uiSchema, errorSchema: errorSchema, idSchema: idSchema, idPrefix: idPrefix, formData: formData, onChange: onChange, onBlur: onBlur, onFocus: onFocus, registry: registry, safeRenderCompletion: safeRenderCompletion, disabled: disabled }))));
    };
    return MultiSchemaField;
}(MultiSchemaField_1.default));
exports.MultiSchemaField = MultiSchemaField;
//# sourceMappingURL=MultiSchemaField.js.map