import * as tslib_1 from "tslib";
import * as React from 'react';
import { Checkbox } from '@blueprintjs/core';
var append = function (needle, haystack, all) {
    var originalIndex = all.indexOf(needle);
    var updated = haystack.slice(0, originalIndex).concat(needle, haystack.slice(originalIndex));
    return updated.sort(function (a, b) { return all.indexOf(a) - all.indexOf(b); });
};
var without = function (needle, haystack) {
    return haystack.filter(function (value) { return value !== needle; });
};
var CheckboxesWidget = /** @class */ (function (_super) {
    tslib_1.__extends(CheckboxesWidget, _super);
    function CheckboxesWidget() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this._onChange = function (optionValue) {
            return function (event) {
                var _a = _this.props, onChange = _a.onChange, value = _a.value;
                if (!event.target.checked) {
                    return onChange(without(optionValue, value));
                }
                var enumOptions = _this.props.options.enumOptions;
                var options = enumOptions.map(function (option) { return option.value; });
                return onChange(append(optionValue, value, options));
            };
        };
        return _this;
    }
    CheckboxesWidget.prototype.render = function () {
        var _this = this;
        var _a = this.props, _b = _a.options, enumOptions = _b.enumOptions, enumDisabled = _b.enumDisabled, inline = _b.inline, id = _a.id, value = _a.value, disabled = _a.disabled, autofocus = _a.autofocus;
        return enumOptions.map(function (option, index) {
            var checked = value.indexOf(option.value) > -1;
            var itemDisabled = enumDisabled && enumDisabled.indexOf(option.value) > -1;
            return (React.createElement(Checkbox, tslib_1.__assign({ id: id + "_" + index, key: index, disabled: disabled || itemDisabled, autoFocus: autofocus && index === 0, onChange: _this._onChange(option.value), label: option.label }, { checked: checked, inline: inline })));
        });
    };
    return CheckboxesWidget;
}(React.Component));
export { CheckboxesWidget };
//# sourceMappingURL=CheckboxesWidget.js.map