import * as tslib_1 from "tslib";
import * as React from 'react';
import BaseFileWidget from 'react-jsonschema-form/lib/components/widgets/FileWidget';
import { FileInput, UL } from '@blueprintjs/core';
var FileWidget = /** @class */ (function (_super) {
    tslib_1.__extends(FileWidget, _super);
    function FileWidget() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this._renderText = function () {
            var filesInfo = _this.state.filesInfo;
            if (filesInfo.length === 0) {
                return;
            }
            if (filesInfo.length === 1) {
                return filesInfo[0].name;
            }
            return filesInfo.length + " Files";
        };
        _this._renderFiles = function () {
            var filesInfo = _this.state.filesInfo;
            if (filesInfo.length < 2) {
                return;
            }
            return (React.createElement(UL, null, filesInfo.map(function (_a) {
                var name = _a.name, type = _a.type, size = _a.size;
                return (React.createElement("li", { key: name },
                    React.createElement("strong", null, name),
                    " (",
                    type,
                    ", ",
                    size,
                    " bytes)"));
            })));
        };
        return _this;
    }
    FileWidget.prototype.render = function () {
        var _a = this.props, id = _a.id, multiple = _a.multiple, readonly = _a.readonly, disabled = _a.disabled, _b = _a.options.fill, fill = _b === void 0 ? true : _b;
        return (React.createElement(React.Fragment, null,
            React.createElement(FileInput, tslib_1.__assign({ disabled: disabled || readonly, inputProps: {
                    multiple: multiple
                }, text: this._renderText(), onInputChange: this.onChange }, { id: id, fill: fill })),
            this._renderFiles()));
    };
    return FileWidget;
}(BaseFileWidget));
export { FileWidget };
//# sourceMappingURL=FileWidget.js.map