import * as React from 'react';
import { Callout } from '@blueprintjs/core';
import { ErrorListProps } from 'react-jsonschema-form';

export const ErrorList: React.SFC<ErrorListProps> = ({ errors }) =>
  <Callout
    intent='danger'
    title='Errors'
    className='rjsf-bp3-error-list'
  >
    <ul>
      {...errors.map((error, index) => (
        <li key={index}>{error.stack}</li>
      ))}
    </ul>
  </Callout>
