import * as React from 'react';

import { DateTimeWidget, Props } from './DateTimeWidget';

export class DateWidget extends React.Component<Props> {
  static defaultProps = {
    options: {
      ...DateTimeWidget.defaultProps.options,
      formatDate: (date: Date) => date.toLocaleDateString()
    }
  }

  render() {
    return (
      <DateTimeWidget
        {...this.props}
        options={{
          ...this.props.options,
          timePickerProps: undefined,
        }}
        onChange={this._onChange}
      />
    );
  }

  protected _onChange = (date?: string) =>
    this.props.onChange(date ? date.substring(0, date.indexOf('T')) : undefined);
}
